python-libpcap_0.6.4-1_amd64.deb


Advertisement

Description

python-libpcap - Python wrapper for libpcap packet capture library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-libpcap
Package version: 0.6.4
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 139 B
Download size: 33.94 KB
Official Mirror: archive.ubuntu.com
Python module for the libpcap, the UNIX packet capture library. This can be used for many purposes including network debugging, traffic analysis, intrusion detection, based on the original Python libpcap module by Aaron Rhodes.

Alternatives

Provides

  • python2.7-libpcap

Conflicts

  • python-pypcap

    Download

    Source package: python-libpcap

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-libpcap deb package:
      # sudo apt-get install python-libpcap

    Files

    • /usr/lib/pyshared/python2.7/_pcapmodule.so
    • /usr/lib/python2.7/dist-packages/_pcapmodule.so
    • /usr/lib/python2.7/dist-packages/pcap.py
    • /usr/lib/python2.7/dist-packages/pylibpcap-0.6.4.egg-info
    • /usr/share/doc/python-libpcap/README
    • /usr/share/doc/python-libpcap/changelog.Debian.gz
    • /usr/share/doc/python-libpcap/copyright
    • /usr/share/doc/python-libpcap/doc.i.gz
    • /usr/share/doc/python-libpcap/examples/findalldevs.py
    • /usr/share/doc/python-libpcap/examples/sniff.py
    • /usr/share/pyshared/pcap.py
    • /usr/share/pyshared/pylibpcap-0.6.4.egg-info

    Changelog

    2013-02-27 - Prach Pongpanich <prachpub@gmail.com> python-libpcap (0.6.4-1) unstable; urgency=low * QA upload * Maintainer field set to QA Group * New upstream release (Closes: #703759) * Convert to dh_python2, thank to Colin Watson (Closes: #617012) * Switch to dpkg-source 3.0 (quilt) format + split diff into historic patches * Convert copyright file to UTF-8 * Add watch file, thank to Bart Martens * Use wrap-and-sort in debian/control * Convert debian/rules to debhelper-7 style, thank to Jakub Wilk * Update copyright file to version 1.0 format + Remove refer to BSD license file + Bump the copyright year * Bump debhelper compat to 9 * Update package description * Add ${misc:Depends} to the python-libpcap dependency * Drop libpcap0.8 from Build-Depends and Depends, thank to Sebastian Ramacher * Bump Standards Version to 3.9.4

    2012-04-30 - Shell Xu <shell909090@gmail.com> python-libpcap (0.6.2-0.2) unstable; urgency=low * Non-maintainer upload. * (Closes: #656543) python-pypcap python-libpcap marked as conflict.

    2009-11-21 - Richard Darst <rkd@zgib.net> python-libpcap (0.6.2-0.1) unstable; urgency=medium * Non-maintainer upload. [ Richard Darst ] * New upstream release * Fix problems in build-tools/docify.py and build-tools/docify-shadow.py which caused FTBFS (Closes: #542984). This is probably related to SWIG upgrades. * str/int comparison bug fixed, which caused the hacked doc system above to not even be seen from python. [ Kumar Appaiah ] * Build for all Python versions + Build-Depend on python-all-dev in debian/control. + Alter debian/rules to build for all Python versions. * Set correct homepage field in debian/control. * Add '~' to Debian-specific version numbers in Build-Depends. * Add ${shlibs:Depends} to the python-libpcap dependency. + Run dh_shlibdeps.

    2007-08-01 - Thomas Bläsing <thomasbl@pool.math.tu-berlin.de> python-libpcap (0.6.1+cvs.2007.07.28-2) unstable; urgency=low * fixed policy violation (Closes: #435261)

    2007-07-28 - Thomas Bläsing <thomasbl@pool.math.tu-berlin.de> python-libpcap (0.6.1+cvs.2007.07.28-1) unstable; urgency=low * Initial release (Closes: #215367)

    Advertisement
    Advertisement